# class toListView

The TOra implementation of a listview which offers a few extra goodies to the baseclass. More...

Definition | `#include <toresultview.h>`
Inherits | QListView (qt) [public ], toEditWidget [public ]
Inherited by | resultCols, toResultConstraint, toResultDepend, toResultIndexes, toResultLong, toResultPlan, toResultReferences, toResultStats, toResultView
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toListView (QWidget *parent,const char *name=NULL)
- virtual QString sqlName (void)
- virtual void setSQLName (const QString &name)
- QString menuText (void)
- virtual void editPrint (void)
- virtual void editSearch (toSearchReplace *)
- virtual void focusInEvent (QFocusEvent *e)
- virtual QString middleString ()
- virtual void addMenues (QPopupMenu *menu)
- virtual void editSave (bool ask)

#### Public Slots

- virtual void displayMenu (QListViewItem *item,const QPoint &pnt,int col)
- virtual void displayMemo (void)

#### Protected Slots

- virtual void menuCallback (int id)

## Detailed Description

The TOra implementation of a listview which offers a few extra goodies to the baseclass. First of all tooltip which can display contents that doesn't fit in the list, printing, integration into toMain with Edit menu etc, drag & drop, export as file, display item as memo and context menu.

toListView (QWidget *parent,const char *name=NULL)

### toListView

Create new list view.

Parameters:

parent | Parent of list.
name | Name of list.

QString sqlName (void)

### sqlName

[virtual]

Get SQL name of list.

void setSQLName (const QString &name)

### setSQLName

[virtual]

Set SQL name of list.

QString menuText (void)

### menuText

Get the whole text for the item and column selected when menu was poped up.

void editPrint (void)

### editPrint

[virtual]

Print this list

Reimplemented from toEditWidget.

void editSearch (toSearchReplace *)

### editSearch

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void focusInEvent (QFocusEvent *e)

### focusInEvent

[virtual]

Reimplemented for internal reasons.

Reimplemented from QListView.

QString middleString ()

### middleString

[virtual]

The string to be displayed in the middle of the footer when printing.

Returns: String to be placed in middle.

void addMenues (QPopupMenu *menu)

### addMenues

[virtual]

Adds option to add menues to the popup menu before it is displayed.

Parameters:

menu | Menu to add entries to.

void editSave (bool ask)

### editSave

[virtual]

Export list as file

Reimplemented from toEditWidget.

void displayMenu (QListViewItem *item,const QPoint &pnt,int col)

### displayMenu

[virtual slot]

Display the menu at the given point and column.

Parameters:

item | Item to display.
pnt | Point to display menu at.
col | Column to display menu for.

void displayMemo (void)

### displayMemo

[virtual slot]

Display memo of selected menu column

void menuCallback (int id)

### menuCallback

[protected slots virtual slot]

Callback when menu is selected. If you override this make sure you call the parents function when you have parsed your entries.

Parameters:

id | ID of the menu item selected.